Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control
Interface RobocodeListener

Deprecated. Since 1.6.2. Use the `IBattleListener` instead.

A listener interface for receiving callbacks from the `RobocodeEngine`.

    @Deprecated
    public interface RobocodeListener

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `IBattleListener`

Method Summary
`void` | `battleAborted(BattleSpecification battle)` Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleFinished()` instead. This method is called when a battle has been aborted.
`void` | `battleComplete(BattleSpecification battle, RobotResults[] results)` Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleCompleted()` instead. This method is called when a battle completes successfully.
`void` | `battleMessage(String message)` Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleMessage()` instead. This method is called when the game logs messages that is normally written out to the console.

Method Detail

### battleComplete

    @Deprecated
    void battleComplete(BattleSpecification battle,
                                   RobotResults[] results)

  Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleCompleted()` instead.

  This method is called when a battle completes successfully.

  Parameters:
    `battle` - information about the battle that completed
    `results` - an array containing the results for the individual robot

### battleAborted

    @Deprecated
    void battleAborted(BattleSpecification battle)

  Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleFinished()` instead.

  This method is called when a battle has been aborted.

  Parameters:
    `battle` - information about the battle that was aborted

### battleMessage

    @Deprecated
    void battleMessage(String message)

  Deprecated. Since 1.6.2. Use the `IBattleListener.onBattleMessage()` instead.

  This method is called when the game logs messages that is normally written out to the console.

  Parameters:
    `message` - the message logged by the game

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.